{#
Template for the blockchain viewer where a user can
spectate the current blockchain of this NICE node.
Author: Jero Schäfer
Last modified: 07.07.2020
#}
{% extends "base.html" %}

{# Carousel Style #}
{#{% block styles %}#}
{#    <link rel="stylesheet" href="{{ url_for('frontend.static', filename='css/carousel.css') }}">#}
{#    {{ super() }}#}
{#    <style>#}
{#        .bd-placeholder-img {#}
{#            font-size: 1.125rem;#}
{#            text-anchor: middle;#}
{#            -webkit-user-select: none;#}
{#            -moz-user-select: none;#}
{#            -ms-user-select: none;#}
{#            user-select: none;#}
{#        }#}
{##}
{#        @media (min-width: 768px) {#}
{#            .bd-placeholder-img-lg {#}
{#                font-size: 3.5rem;#}
{#            }#}
{#        }#}
{#    </style>#}
{#{% endblock %}#}

{% block page_content %}
    <main role="main">
        {#        <div id="chainCarousel" class="carousel slide" data-ride="carousel">#}
        {#            <ol class="carousel-indicators">#}
        {#                {% for block in blockchain %}#}
        {#                    <li data-target="#chainCarousel" data-slide-to="{{ loop.index0 }}" class=""></li>#}
        {#                {% endfor %}#}
        {#            </ol>#}
        {#            {% for block in blockchain %}#}
        {#                <div class="carousel-item active">#}
        {#                    <svg class="bd-placeholder-img" width="100%" height="100%"#}
        {#                         xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="xMidYMid slice"#}
        {#                         focusable="false" role="img">#}
        {#                        <rect width="100%" height="100%" fill="#777"></rect>#}
        {#                    </svg>#}
        {#                    <div class="container">#}
        {#                        <div class="carousel-caption text-left">#}
        {#                            <h1>Block #{{ block.id }}</h1>#}
        {#                            <p>{{ block | pretty_block }}</p>#}
        {#                        </div>#}
        {#                    </div>#}
        {#                </div>#}
        {#            {% endfor %}#}
        {#            <a class="carousel-control-prev" href="#chainCarousel" role="button" data-slide="prev">#}
        {#                <span class="carousel-control-prev-icon" aria-hidden="true"></span>#}
        {#                <span class="sr-only">Previous</span>#}
        {#            </a>#}
        {#            <a class="carousel-control-next" href="#chainCarousel" role="button" data-slide="next">#}
        {#                <span class="carousel-control-next-icon" aria-hidden="true"></span>#}
        {#                <span class="sr-only">Next</span>#}
        {#            </a>#}
        {#        </div>#}
        <section class="jumbotron text-center">
            <div class="container">
                <h1 class="jumbotron-heading">Blockchain Viewer</h1>
                <p class="lead text-muted">
                    This is the actual blockchain held by this NICE node.
                </p>
            </div>
        </section>

        <ul class="list-group">
            {% for block in blockchain %}
                <li class="list-group-item">
                    <div class="d-flex w-100 justify-content-between">
                        <h2 class="mb-1">Block #{{ block.id }}</h2>
                    </div>
                    <p class="mb-1">Timestamp: {{ block.timestamp | human_time }}</p>
                    <p class="mb-1">Hash: {{ block.hash }}</p>
                    <p class="mb-1">Previous hash: {{ block.prevhash }}</p>
{#                    <p class="mb-1">Transactions {{ block.transactions }}</p>#}
                    <p>
                        {# The block.id allows to open only the transaction of this block instead of all blocks #}
                        <a class="btn btn-primary" data-toggle="collapse" href="#collapseTx{{ block.id }}"
                           role="button" aria-expanded="false" aria-controls="collapseTx{{ block.id }}">
                            Transactions
                        </a>
                    </p>
                    <div class="collapse" id="collapseTx{{ block.id }}">
                        <div class="card card-body">
                            <ul class="list-group">
                                {% for tx in block.transactions %}
                                    <li class="list-group-item">
                                        <div class="d-flex w-100 justify-content-between">
                                            <h3 class="mb-1">Transaction #{{ loop.index0 }}</h3>
                                        </div>
                                        <p>{{ tx | pretty_tx }}</p>
                                    </li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>
                </li>
            {% endfor %}
        </ul>

    </main>
{% endblock %}